# Uses of Interface
java.util.stream.Stream.Builder

Packages that use Stream.Builder
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of Stream.Builder in java.util.stream

Methods in java.util.stream that return Stream.Builder
Modifier and Type
Method
Description
`default Stream.Builder<T>`
Stream.Builder.`add(T t)`
Adds an element to the stream being built.
`static <T> Stream.Builder<T>`
Stream.`builder()`
Returns a builder for a `Stream`.